#ifndef PID_H
#define PID_H

#include <STC32G.H>
#include <stdio.h>
#include <string.h>

typedef struct
{
    float                kp;         //P
    float                ki;         //I
    float                kd;         //D
	
    float                out_p;  //KP
    float                out_i;  //KI
    float                out_d;  //KD
    float              	 out;    //pid

    float                last_error; //< ϴ
    float                last_last_error; //< ϴ
    float                last_derivative;//< ϴϴ֮

}PID;

extern PID Bearing_ring;//
extern PID Speed_ring;//ٶȻ

void PIDInit(PID* pid);							//	PIDʼ
float Pid_Positional(PID * pid, float error);	//	λʽPID
float Pid_Increment(PID * pid, float error);	//	ʽPID



#endif