#ifndef PWM_H_
#define PWM_H_

#include <STC8051U.H>
//****************************** û ***********************************/
#define PWM1_0      0x00	//P:P1.0  N:P1.1
#define PWM1_1      0x01	//P:P0.0  N:P0.1
#define PWM1_2      0x02	//P:P2.0  N:P2.1

#define PWM2_0      0x00	//P:P1.2  N:P1.3
#define PWM2_1      0x04	//P:P0.2  N:P0.3
#define PWM2_2      0x08	//P:P2.2  N:P2.3

#define PWM3_0      0x00	//P:P1.4  N:P1.5
#define PWM3_1      0x10	//P:P0.4  N:P0.5
#define PWM3_2      0x20	//P:P2.4  N:P2.5

#define PWM4_0      0x00	//P:P1.6  N:P1.7
#define PWM4_1      0x40	//P:P0.6  N:P0.7
#define PWM4_2      0x80	//P:P2.6  N:P2.7

#define ENO1P       0x01
#define ENO1N       0x02
#define ENO2P       0x04
#define ENO2N       0x08
#define ENO3P       0x10
#define ENO3N       0x20
#define ENO4P       0x40
#define ENO4N       0x80

#define PWM5_0      0x00	//P0.1
#define PWM5_1      0x01	//P1.1
#define PWM5_2      0x02	//P2.1
#define PWM5_3      0x03	//P5.0

#define PWM6_0      0x00	//P0.3
#define PWM6_1      0x04	//P1.3
#define PWM6_2      0x08	//P2.3
#define PWM6_3      0x0C	//P5.1

#define PWM7_0      0x00	//P0.5
#define PWM7_1      0x10	//P1.5
#define PWM7_2      0x20	//P2.5
#define PWM7_3      0x30	//P5.2

#define PWM8_0      0x00	//P0.7
#define PWM8_1      0x40	//P1.7
#define PWM8_2      0x80	//P2.7
#define PWM8_3      0xC0	//P5.3

#define ENO5P       0x01
#define ENO6P       0x04
#define ENO7P       0x10
#define ENO8P       0x40

#define PWMA_PERIOD  1000    //ֵ

#define PWMA_PSC 	(132-1)	//240Ƶ

#define PWMB_PERIOD 1000

#define PWMB_PSC	(150-1) 

void PWMA_Init();
void PWMB_Init();
void UpdatePwm_1(unsigned int PWM1_Duty);
void UpdatePwm_2(unsigned int PWM2_Duty);
void UpdatePwm_3(unsigned int PWM3_Duty);
void UpdatePwm_4(unsigned int PWM4_Duty);
void UpdatePwm_5(unsigned int PWM5_Duty);
void UpdatePwm_6(unsigned int PWM6_Duty);
void UpdatePwm_7(unsigned int PWM7_Duty);
void UpdatePwm_8(unsigned int PWM8_Duty);
/*
    P0M1 = 0x30;   P0M0 = 0x30;   //P0.4P0.5Ϊ©·(ʵ赽3.3V)
    P1M1 = 0x30;   P1M0 = 0x30;   //P1.4P1.5Ϊ©·(ʵ赽3.3V)
    P2M1 = 0x3c;   P2M0 = 0x3c;   //P2.2~P2.5Ϊ©·(ʵ赽3.3V)
    P3M1 = 0x50;   P3M0 = 0x50;   //P3.4P3.6Ϊ©·(ʵ赽3.3V)
    P4M1 = 0x3c;   P4M0 = 0x3c;   //P4.2~P4.5Ϊ©·(ʵ赽3.3V)
    P5M1 = 0x0c;   P5M0 = 0x0c;   //P5.2P5.3Ϊ©·(ʵ赽3.3V)
    P6M1 = 0xff;   P6M0 = 0xff;   //Ϊ©·(ʵ赽3.3V)
    P7M1 = 0x00;   P7M0 = 0x00;   //Ϊ׼˫
*/

#endif

 